Skip to main content
PUT
/
v1
/
analysis-type-configuration
/
{analysisTypeConfigurationId}
Update
curl --request PUT \
  --url https://{tenant}.mindbridge.ai/api/v1/analysis-type-configuration/{analysisTypeConfigurationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": 123,
  "system": true,
  "configuration": {
    "riskGroups": [
      {
        "disabled": true,
        "id": "<string>",
        "selectedRiskRange": "<string>",
        "applicableRiskRanges": [
          "<string>"
        ],
        "filter": {
          "values": [
            "<string>"
          ]
        },
        "controlPointWeights": {}
      }
    ]
  }
}
'
{
  "version": 123,
  "id": "<string>",
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "system": true,
  "libraryId": "<string>",
  "engagementId": "<string>",
  "analysisId": "<string>",
  "analysisTypeId": "<string>",
  "configuration": {
    "riskGroups": [
      {
        "disabled": true,
        "id": "<string>",
        "system": true,
        "analysisTypeId": "<string>",
        "selectedRiskRange": "<string>",
        "applicableRiskRanges": [
          "<string>"
        ],
        "filter": {
          "values": [
            "<string>"
          ]
        },
        "controlPointWeights": {},
        "controlPointBundleVersion": "<string>",
        "name": {},
        "description": {},
        "category": {},
        "riskAssertionCategory": "GENERAL"
      }
    ]
  },
  "controlPointBundleVersion": "<string>",
  "template": true
}

Documentation Index

Fetch the complete documentation index at: https://developer.mindbridge.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

analysisTypeConfigurationId
string
required

Body

application/json
version
integer<int64>
required

Data integrity version to ensure data consistency.

system
boolean
configuration
Analysis Config · object

The configuration details for this analysis type.

Response

200 - application/json

OK

version
integer<int64>
required

Data integrity version to ensure data consistency.

id
string

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

system
boolean
libraryId
string

Identifies the library associated with this configuration.

engagementId
string

Identifies the associated engagement.

analysisId
string

Identifies the analysis associated with this configuration.

analysisTypeId
string

Identifies the type of analysis.

configuration
Analysis Config · object

The configuration details for this analysis type.

controlPointBundleVersion
string

The version of the control point bundle used in this configuration.

template
boolean

Indicates whether this configuration is a template.